Name:          python-paramiko
Version:       2.11.0
Release:       2
Summary:       Python SSH module
License:       LGPLv2+
URL:           https://github.com/paramiko/paramiko
Source0:       https://github.com/paramiko/paramiko/archive/%{version}/paramiko-%{version}.tar.gz

# Skip tests requiring invoke if it's not installed
# Can be removed when https://github.com/paramiko/paramiko/pull/1667/ is released
Patch6000:     backport-Skip-tests-requiring-invoke.patch
Patch6001:     0003-remove-pytest-relaxed-dep.patch
Patch6002:     backport-fix-error-in-sftp-testcase.patch

BuildArch:     noarch

%description
Paramiko is a combination of the Esperanto words for "paranoid" and "friend". It is a module
for Python 2.7/3.4+ that implements the SSH2 protocol for secure (encrypted and authenticated)
connections to remote machines.

%package       -n python3-paramiko
Summary:       Python SSH module
BuildRequires: python3-devel python3-setuptools python3-bcrypt >= 3.1.3 python3-pytest
BuildRequires: python3-cryptography >= 2.5 python3-pyasn1 >= 0.1.7 python3-pynacl >= 1.0.1
BuildRequires: python3-mock >= 2.0
Requires:      python3-bcrypt >= 3.1.3 python3-cryptography >= 1.5
Requires:      python3-pyasn1 >= 0.1.7 python3-pynacl >= 1.0.1
%{?python_provide:%python_provide python3-paramiko}

%description   -n python3-paramiko
Paramiko is a combination of the Esperanto words for "paranoid" and "friend". python3-paramiko is
a module for Python 3.4+ that implements the SSH2 protocol for secure (encrypted and authenticated)
connections to remote machines. Unlike SSL (aka TLS), SSH2 protocol does not require hierarchical
certificates signed by a powerful central authority. You may know SSH2 as the protocol that replaced
Telnet and rsh for secure access to remote shells, but the protocol also includes the ability to open
arbitrary channels to remote services across the encrypted tunnel (this is how SFTP works, for example).

%package       help
Summary:       Docs and demos for SSH2 protocol library for python
BuildRequires: python3-sphinx
Provides:      python-paramiko-doc = %{version}-%{release}
Obsoletes:     python-paramiko-doc <= %{version}-%{release}

%description   help
This is the documentation and demos for python-paramiko.

%prep
%autosetup -p1 -n paramiko-%{version}

%build
%py3_build

%install
%py3_install

sphinx-build -b html sites/docs/ html/
rm -f html/.buildinfo

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version}

%files -n python3-paramiko
%license LICENSE
%{python3_sitelib}/paramiko-*.egg-info/
%{python3_sitelib}/paramiko/

%files help
%doc html/ demos/ NEWS README.rst

%changelog
* Mon Oct 31 2022 chengyechun <chengyechun1@huawei.com> - 2.11.0-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fix error in sftp testcase

* Thu Jun 23 2022 houyingchao <houyingchao@h-partners.com> - 2.11.0-1
- Upgrade to version 2.11.0

* Mon Mar 28 2022 dongyuzhen <dongyuzhen@h-partners.com> - 2.8.1-3
- fix CVE-2022-24302 and the rear patch of CVE-2022-24302

* Sat Feb 26 2022 zhanzhimin <zhanzhimin@h-partners.com> - 2.8.1-2
- drop invoke dependencies as it requires ancient pytest

* Wed Dec 01 2021 zhanzhimin <zhanzhimin@huawei.com> - 2.8.1-1
- update to 2.8.1

* Thu Jan 28 2021 zhaorenhai <zhaorenhai@hotmail.com> - 2.7.2-1
- Upgrade to 2.7.2

* Mon Aug 10 2020 lingsheng <lingsheng@huawei.com> - 2.4.1-8
- Remove python2-paramiko subpackage

* Wed Nov 06 2019 Lijin Yang <yanglijin@huawei.com> - 2.4.1-7
- init package
